org.apache.ignite.internal.processors.cache.persistence

## Interface CacheDataRow

All Superinterfaces:
  CacheSearchRow, Storable

All Known Implementing Classes:
  CacheDataRowAdapter, DataRow

    public interface CacheDataRow
    extends CacheSearchRow, Storable

Cache data row.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `expireTime()`
`void` `key(KeyCacheObject key)`
`void` `link(long link)`
`int` `partition()`
`CacheObject` `value()`
`GridCacheVersion` `version()`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.CacheSearchRow

`cacheId, hash, key, link`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.Storable

`link`

### Method Detail

#### value

    CacheObject value()

Returns:
  Cache value.

#### version

    GridCacheVersion version()

Returns:
  Cache entry version.

#### expireTime

    long expireTime()

Returns:
  Expire time.

#### partition

    int partition()

Specified by:
  `partition` in interface `Storable`
Returns:
  Partition for this key.

#### link

    void link(long link)

Specified by:
  `link` in interface `Storable`
Parameters:
  `link` - Link for this row.

#### key

    void key(KeyCacheObject key)

Parameters:
  `key` - Key.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018